ReflectionProperty::getValue
ReflectionProperty::isPrivate
ReflectionProperty
PHP Manual

# ReflectionProperty::isDefault

Checks if default value

### Description

public bool ReflectionProperty::isDefault ( void )

Checks whether the property is the default.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the property was declared at compile-time, or `FALSE` if it was created at run-time.

### See Also

- ReflectionProperty::getValue